/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_TEXENV_H_
#define MSP_GL_TEXENV_H_

namespace Msp {
namespace GL {

enum TexEnvMode
{
	REPLACE  = GL_REPLACE,
	MODULATE = GL_MODULATE,
	DECAL    = GL_DECAL,
	BLEND    = GL_BLEND,
	ADD      = GL_ADD,
	COMBINE  = GL_COMBINE
};

class TexEnv
{
public:
	void mode(TexEnvMode);
	void color(float, float, float, float);
};

} // namespace GL
} // namespace Msp

#endif
