/* $Id$

This file is part of libmspgl
Copyright © 2007  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_GL_TEXUNIT_H_
#define MSP_GL_TEXUNIT_H_

#include <vector>

namespace Msp {
namespace GL {

class Texture;

class TexUnit
{
public:
	TexUnit();
	bool set_texture(const Texture *);
	const Texture *get_texture() { return texture; }
	//TexEnv &get_env() { return env; }

	static TexUnit &activate(unsigned);
	static TexUnit &current();
private:
	const Texture *texture;
	//TexEnv env;

	static std::vector<TexUnit> units;
	static TexUnit *cur_unit;
};

} // namespace GL
} // namespace Msp

#endif
